diff -rupN magic-lantern.try2/Makefile magic-lantern-60d/Makefile
--- magic-lantern.try2/Makefile	2011-01-17 13:32:25.892000004 +0100
+++ magic-lantern-60d/Makefile	2011-01-17 11:52:53.848000004 +0100
@@ -1,6 +1,6 @@
 ARM_PATH=~/arm-toolchain
 ARM_BINPATH=$(ARM_PATH)/bin
-GCC_VERSION=4.4.2
+GCC_VERSION=4.5.2
 CC=$(ARM_BINPATH)/arm-elf-gcc-$(GCC_VERSION)
 OBJCOPY=$(ARM_BINPATH)/arm-elf-objcopy
 AR=$(ARM_BINPATH)/arm-elf-ar
Binary files magic-lantern.try2/autoexec and magic-lantern-60d/autoexec differ
Binary files magic-lantern.try2/autoexec.bin and magic-lantern-60d/autoexec.bin differ
diff -rupN magic-lantern.try2/gui.c magic-lantern-60d/gui.c
--- magic-lantern.try2/gui.c	2011-01-17 13:32:25.924000004 +0100
+++ magic-lantern-60d/gui.c	2011-01-17 12:11:05.564000000 +0100
@@ -76,7 +76,7 @@ PROP_HANDLER( PROP_GUI_STATE )
 #define NFUNCS 8
 #endif
 
-static void gui_main_task()
+static void gui_main_task_60d()
 {
 	int kev = 0;
 	struct event * event = NULL;
@@ -99,7 +99,7 @@ static void gui_main_task()
 			continue;
 				
 		// event 0 is button press maybe?
-		if( gui_state != GUISTATE_PLAYMENU && event->type == 0 && event->param == 0xA ) // trash button
+		if( gui_state != GUISTATE_PLAYMENU && event->type == 0 && event->param == 0xC ) // trash button
 		{
 			if (gui_menu_shown()) 
 			{
@@ -147,4 +147,4 @@ static void gui_main_task()
 
 // 5D2 has a different version for gui_main_task
 
-TASK_OVERRIDE( gui_main_task, gui_main_task );
+TASK_OVERRIDE( gui_main_task, gui_main_task_60d );
diff -rupN magic-lantern.try2/gui.h magic-lantern-60d/gui.h
--- magic-lantern.try2/gui.h	2011-01-17 13:32:25.924000004 +0100
+++ magic-lantern-60d/gui.h	2011-01-17 12:21:41.680000001 +0100
@@ -92,6 +92,17 @@ typedef enum {
 
 	EVENTID_METERING_START		= 0x10000039,
 	EVENTID_94			= 0x10000094,
+
+        MULTI_CTRL_0                    = 0x83A,
+        MULTI_CTRL_45                   = 0x83A,
+        MULTI_CTRL_90                   = 0x83C,
+        MULTI_CTRL_135                  = 0x83C,
+        MULTI_CTRL_180                  = 0x83E,
+        MULTI_CTRL_225                  = 0x83E,
+        MULTI_CTRL_270                  = 0x840,
+        MULTI_CTRL_315                  = 0x840,
+
+
 } gui_event_t;
 
 
Binary files magic-lantern.try2/magiclantern and magic-lantern-60d/magiclantern differ
Binary files magic-lantern.try2/magiclantern.bin and magic-lantern-60d/magiclantern.bin differ
diff -rupN magic-lantern.try2/menu.c magic-lantern-60d/menu.c
--- magic-lantern.try2/menu.c	2011-01-17 13:32:25.956000004 +0100
+++ magic-lantern-60d/menu.c	2011-01-17 12:24:12.108000002 +0100
@@ -511,21 +511,21 @@ menu_handler(
 		// Generated when buttons are pressed?  Forward it on
 		return 1;
 
-	case PRESS_UP_BUTTON:
+	case MULTI_CTRL_0:
 		menu_entry_move( menu, -1 );
 		menu_damage = 1;
 		break;
 
-	case PRESS_DOWN_BUTTON:
+	case MULTI_CTRL_180:
 		menu_entry_move( menu, 1 );
 		menu_damage = 1;
 		break;
 
-	case PRESS_RIGHT_BUTTON:
+	case MULTI_CTRL_90:
 		menu_move( menu, 1 );
 		break;
 
-	case PRESS_LEFT_BUTTON:
+	case MULTI_CTRL_270:
 		menu_move( menu, -1 );
 		break;
 
diff -rupN magic-lantern.try2/version.c magic-lantern-60d/version.c
--- magic-lantern.try2/version.c	1970-01-01 01:00:00.000000000 +0100
+++ magic-lantern-60d/version.c	2011-01-17 12:24:14.916000001 +0100
@@ -0,0 +1,4 @@
+const char build_version[] = "0.2alex-try2-60d_fw108";
+const char build_id[] = "0196ff9c4e86+ (60d) tip";
+const char build_date[] ="2011-01-17 11:24:14";
+const char build_user[] = "xaos@pallas";
